doctype html
html
  head
    meta(charset='utf-8')
    meta(http-equiv='X-UA-Compatible' content='IE=edge, chrome=1')
    meta(name='viewport' content='width=device-width, maximum-scale=1.0 minimum-scale=1.0 initial-scale=1.0 user-scalable=no')
    meta(name='description' content='orpin helps to manage npm packages in your web (read: browser) projects.')
    meta(name='keywords' content='bower, npm, nodejs, javascript, orpin, package management')
    meta(name='mobile-web-app-capable' content='yes')
    meta(name='apple-mobile-web-app-capable' content='yes')
    meta(name='apple-mobile-web-app-status-bar-style' content='black-translucent')

    //- Social Tags for shaing to Twitter and Open Graph Supported sites
    meta(property='twitter:card' content='summary')
    meta(property='twitter:site' content='@vaemoi')
    meta(property='twitter:creator' content='@brwnrclse')
    meta(property='og:title' content='orpin')
    meta(property='og:description' content='Warp dependencies into your html files')
    meta(property='og:image' content='https://orpin.vaemoi.co/assets/img/png/orpin-og_image.png')
    meta(property='og:url' content='https://orpin.vaemoi.co')

    //- Favicon Stuff
    link(rel='shortcut icon' type='image/x-icon' href='favicon.ico')
    link(rel='icon' type='image/png' sizes='16x16' href='favicon-16x16.png')
    link(rel='icon' type='image/png' sizes='32x32' href='favicon-32x32.png')
    link(rel='mask-icon' type='image/svg+xml' href='safari-pinned-tab.svg' color='#5bbad5')
    link(rel='apple-touch-icon' type='image/png' sizes='180x180' href='apple-touch-icon.png')

    //- Webapp Stuff (manifest, etc)
    link(rel='manifest' href='site.webmanifest')
    meta(name="msapplication-TileColor" content="#393d40")
    meta(name="msapplication-config" content="browserconfig.xml")
    meta(name="theme-color" content="#393d40")

    block title_content
      title
        | orpin 🌀

    //- Critical Styles will be injected here (see scripts/inject-critical.js)

    block head_style_content
      link(rel='stylesheet' type='text/css' href='css/main.css')

    //- Async webfont loading
    script(type='text/javascript').
      WebFontConfig = {
        google: {
          families: ['IBM Plex Mono']
        }
      };

      (function(d){
        var
          wf = d.createElement('script'),
          s = d.scripts[0];

        wf.src = 'assets/loadWebFont/webfont.js';
        wf.async = true;
        wf.onerror = 'console.log("Error Loading Webfont")'
        s.parentNode.insertBefore(wf, s);
      })(document);

  body.orpin-body
    header
      nav.orpin-navbar
        a#vaemoi(href='https://vaemoi.xyz' alt='Link to vaemoi homepage')
          svg(viewBox='0 0 50 50')
            use(href='#vaemoi-mark')
        ul
          li
            h4
              a(href='/' alt='Orpin Homepage')
                | home
          li
            h4
              a(href='/about' alt='Learn more about orpin')
                | about
          li
            h4
              a(href='https://vaemoi.gitlab.io/orpin/orpin-cli' alt='View the documentation for the source code')
                | docs
    main
      block main_content

    footer
      span
        | © 2019 vaemoi
      a.project-link(href='https://gitlab.com/vaemoi/orpin/orpin-cli')
        svg#gitlab(viewBox='0 0 36 36')
          use(href='#gitlab-mark')
        | follow development
